const moment = require('moment');
const chalk = require('chalk');

/**
 * Get log method from console
 */
const { log } = console;

/**
 * Get Current Time
 */
const currentTime = () => moment().format('DD/MM/YYYY hh:mm');

/**
 * Export methods
 */

module.exports = {
  /**
   * [INFO] Level
   */
  info(text) {
    log(chalk.green(`[${currentTime()}] [INFO] - ${text}`));
  },
  /**
   * [WARN] Level
   */
  warn(text) {
    log(chalk.yellow(`[${currentTime()}] [WARN] - ${text}`));
  },
  /**
   * [TRACE] Level
   */
  trace(text) {
    log(chalk.blueBright(`[${currentTime()}] [TRACE] - ${text}`));
  },
  /**
   * [DEBUG] Level
   */
  debug(text) {
    log(chalk.cyanBright(`[${currentTime()}] [DEBUG] - ${text}`));
  },
  /**
   * [ERROR] Level
   */
  error(text) {
    log(chalk.redBright(`[${currentTime()}] [ERROR] - ${text}`));
  },
  /**
   * [FATAL] Level
   */
  fatal(text) {
    log(chalk.magentaBright(`[${currentTime()}] [FATAL] - ${text}`));
  },
};
